VULKAN_HPP_NAMESPACE::PhysicalDeviceRepresentativeFragmentTestFeaturesNV Struct Reference

`#include <vulkan.hpp>`

## Public Member Functions

| PhysicalDeviceRepresentativeFragmentTestFeaturesNV (Bool32 representativeFragmentTest_=0)
| PhysicalDeviceRepresentativeFragmentTestFeaturesNV (VkPhysicalDeviceRepresentativeFragmentTestFeaturesNV const &rhs)
PhysicalDeviceRepresentativeFragmentTestFeaturesNV & | operator= (VkPhysicalDeviceRepresentativeFragmentTestFeaturesNV const &rhs)
PhysicalDeviceRepresentativeFragmentTestFeaturesNV & | setPNext (void *pNext_)
PhysicalDeviceRepresentativeFragmentTestFeaturesNV & | setRepresentativeFragmentTest (Bool32 representativeFragmentTest_)
| operator VkPhysicalDeviceRepresentativeFragmentTestFeaturesNV const & () const
| operator VkPhysicalDeviceRepresentativeFragmentTestFeaturesNV & ()
bool | operator== (PhysicalDeviceRepresentativeFragmentTestFeaturesNV const &rhs) const
bool | operator!= (PhysicalDeviceRepresentativeFragmentTestFeaturesNV const &rhs) const

## Data Fields

void * | pNext = nullptr
Bool32 | representativeFragmentTest

## Private Attributes

StructureType | sType = StructureType::ePhysicalDeviceRepresentativeFragmentTestFeaturesNV

## Detailed Description

Definition at line 19379 of file vulkan.hpp.

## Constructor & Destructor Documentation

## PhysicalDeviceRepresentativeFragmentTestFeaturesNV() [1/2]

VULKAN_HPP_NAMESPACE::PhysicalDeviceRepresentativeFragmentTestFeaturesNV::PhysicalDeviceRepresentativeFragmentTestFeaturesNV | ( | Bool32 | representativeFragmentTest_ = `0` | ) |

inline

Definition at line 19381 of file vulkan.hpp.

: representativeFragmentTest( representativeFragmentTest_ )
{
}

## PhysicalDeviceRepresentativeFragmentTestFeaturesNV() [2/2]

VULKAN_HPP_NAMESPACE::PhysicalDeviceRepresentativeFragmentTestFeaturesNV::PhysicalDeviceRepresentativeFragmentTestFeaturesNV | ( | VkPhysicalDeviceRepresentativeFragmentTestFeaturesNV const & | rhs | ) |

inline

Definition at line 19386 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( PhysicalDeviceRepresentativeFragmentTestFeaturesNV ) );
}

References memcpy.

## Member Function Documentation

## operator VkPhysicalDeviceRepresentativeFragmentTestFeaturesNV &()

VULKAN_HPP_NAMESPACE::PhysicalDeviceRepresentativeFragmentTestFeaturesNV::operator VkPhysicalDeviceRepresentativeFragmentTestFeaturesNV & | ( |  | ) |

inline

Definition at line 19413 of file vulkan.hpp.

{
return *reinterpret_cast<VkPhysicalDeviceRepresentativeFragmentTestFeaturesNV*>(this);
}

## operator VkPhysicalDeviceRepresentativeFragmentTestFeaturesNV const &()

VULKAN_HPP_NAMESPACE::PhysicalDeviceRepresentativeFragmentTestFeaturesNV::operator VkPhysicalDeviceRepresentativeFragmentTestFeaturesNV const & | ( |  | ) | const

inline

Definition at line 19408 of file vulkan.hpp.

{
return *reinterpret_cast<const VkPhysicalDeviceRepresentativeFragmentTestFeaturesNV*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::PhysicalDeviceRepresentativeFragmentTestFeaturesNV::operator!= | ( | PhysicalDeviceRepresentativeFragmentTestFeaturesNV const & | rhs | ) | const

inline

Definition at line 19425 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

PhysicalDeviceRepresentativeFragmentTestFeaturesNV& VULKAN_HPP_NAMESPACE::PhysicalDeviceRepresentativeFragmentTestFeaturesNV::operator= | ( | VkPhysicalDeviceRepresentativeFragmentTestFeaturesNV const & | rhs | ) |

inline

Definition at line 19391 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( PhysicalDeviceRepresentativeFragmentTestFeaturesNV ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::PhysicalDeviceRepresentativeFragmentTestFeaturesNV::operator== | ( | PhysicalDeviceRepresentativeFragmentTestFeaturesNV const & | rhs | ) | const

inline

Definition at line 19418 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( representativeFragmentTest == rhs.representativeFragmentTest );
}

References pNext, representativeFragmentTest, and sType.

Referenced by operator!=().

## setPNext()

PhysicalDeviceRepresentativeFragmentTestFeaturesNV& VULKAN_HPP_NAMESPACE::PhysicalDeviceRepresentativeFragmentTestFeaturesNV::setPNext | ( | void * | pNext_ | ) |

inline

Definition at line 19396 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## setRepresentativeFragmentTest()

PhysicalDeviceRepresentativeFragmentTestFeaturesNV& VULKAN_HPP_NAMESPACE::PhysicalDeviceRepresentativeFragmentTestFeaturesNV::setRepresentativeFragmentTest | ( | Bool32 | representativeFragmentTest_ | ) |

inline

Definition at line 19402 of file vulkan.hpp.

{
representativeFragmentTest = representativeFragmentTest_;
return *this;
}

References representativeFragmentTest.

## Field Documentation

## pNext

void* VULKAN_HPP_NAMESPACE::PhysicalDeviceRepresentativeFragmentTestFeaturesNV::pNext = nullptr

Definition at line 19434 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## representativeFragmentTest

Bool32 VULKAN_HPP_NAMESPACE::PhysicalDeviceRepresentativeFragmentTestFeaturesNV::representativeFragmentTest

Definition at line 19435 of file vulkan.hpp.

Referenced by operator==(), and setRepresentativeFragmentTest().

## sType

StructureType VULKAN_HPP_NAMESPACE::PhysicalDeviceRepresentativeFragmentTestFeaturesNV::sType = StructureType::ePhysicalDeviceRepresentativeFragmentTestFeaturesNV

private

Definition at line 19431 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::PhysicalDeviceRepresentativeFragmentTestFeaturesNV::representativeFragmentTest
Bool32 representativeFragmentTest
Definition: vulkan.hpp:19435
VULKAN_HPP_NAMESPACE::PhysicalDeviceRepresentativeFragmentTestFeaturesNV::pNext
void * pNext
Definition: vulkan.hpp:19434
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VkPhysicalDeviceRepresentativeFragmentTestFeaturesNV
Definition: vulkan_core.h:8424
VULKAN_HPP_NAMESPACE::PhysicalDeviceRepresentativeFragmentTestFeaturesNV::sType
StructureType sType
Definition: vulkan.hpp:19431
VULKAN_HPP_NAMESPACE::PhysicalDeviceRepresentativeFragmentTestFeaturesNV::operator==
bool operator==(PhysicalDeviceRepresentativeFragmentTestFeaturesNV const &rhs) const
Definition: vulkan.hpp:19418
VULKAN_HPP_NAMESPACE::PhysicalDeviceRepresentativeFragmentTestFeaturesNV::PhysicalDeviceRepresentativeFragmentTestFeaturesNV
PhysicalDeviceRepresentativeFragmentTestFeaturesNV(Bool32 representativeFragmentTest_=0)
Definition: vulkan.hpp:19381